/*
 * test_multinom.cpp
 *
 *  Created on: Dec 22, 2008
 *      Author: tim
 */

#include <Eigen/Symbolic>
using namespace Eigen;

#include <iostream>
using namespace std;

int main(int argc, char **argv)
{
  Symbol X("X");
  Symbol Y("Y");
  Multinom<double> m=2.3*X+3.1*X*Y+Y*Y-2.0;
  cout<<(m^2)<<endl;

//  EvaluationContext<double> ec;
//  ec.add(X,10);
//  ec.add(Y,3);
//  double v;
//  ec.eval(m*m*m*m,v);

  typedef Matrix<Multinom<double>,3,3> SMatrix33;

  SMatrix33 foo=SMatrix33::Identity();
  foo(2,1)=0.4*X*Y;
  foo*=foo.transpose();
//  MatrixXd mat(3,3);
//  ec.eval(foo*foo*foo,mat);

//  cout<<v<<endl;
  cout<<foo<<endl;

}
